org.apache.lucene.analysis.snowball

## Class SnowballAnalyzer

- java.lang.Object
- - org.apache.lucene.analysis.Analyzer
  - - org.apache.lucene.analysis.snowball.SnowballAnalyzer

All Implemented Interfaces:
  Closeable, AutoCloseable

Deprecated.
(3.1) Use the language-specific analyzer in modules/analysis instead. This analyzer will be removed in Lucene 5.0

    @Deprecated
    public final class SnowballAnalyzer
    extends Analyzer

Filters `StandardTokenizer` with `StandardFilter`, `LowerCaseFilter`, `StopFilter` and `SnowballFilter`. Available stemmers are listed in org.tartarus.snowball.ext. The name of a stemmer is the part of the class name before "Stemmer", e.g., the stemmer in `EnglishStemmer` is named "English".

NOTE: This class uses the same `Version` dependent settings as `StandardAnalyzer`, with the following addition:

- As of 3.1, uses `TurkishLowerCaseFilter` for Turkish language.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer

`Analyzer.GlobalReuseStrategy, Analyzer.PerFieldReuseStrategy, Analyzer.ReuseStrategy, Analyzer.TokenStreamComponents`

### Constructor Summary

Constructors
Constructor and Description
`SnowballAnalyzer(Version matchVersion, String name)` Deprecated. Builds the named analyzer with no stop words.
`SnowballAnalyzer(Version matchVersion, String name, CharArraySet stopWords)` Deprecated. Builds the named analyzer with the given stop words.

### Method Summary

Methods
`Analyzer.TokenStreamComponents` `createComponents(String fieldName, Reader reader)` Deprecated. Constructs a `StandardTokenizer` filtered by a `StandardFilter`, a `LowerCaseFilter`, a `StopFilter`, and a `SnowballFilter`

### Methods inherited from class org.apache.lucene.analysis.Analyzer

`close, getOffsetGap, getPositionIncrementGap, initReader, tokenStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SnowballAnalyzer

    public SnowballAnalyzer(Version matchVersion,
                    String name)

Deprecated.
Builds the named analyzer with no stop words.

#### SnowballAnalyzer

    public SnowballAnalyzer(Version matchVersion,
                    String name,
                    CharArraySet stopWords)

Deprecated.
Builds the named analyzer with the given stop words.

### Method Detail

#### createComponents

    public Analyzer.TokenStreamComponents createComponents(String fieldName,
                                                  Reader reader)

Deprecated.
Constructs a `StandardTokenizer` filtered by a `StandardFilter`, a `LowerCaseFilter`, a `StopFilter`, and a `SnowballFilter`

Specified by:
  `createComponents` in class `Analyzer`